package org.jeecg.modules.task.enums;

/**
 * 任务执行状态枚举类型
 */
public enum TaskStateEnum {
    dzx ("待执行","0"),
    zxz ("执行中","1"),
    zxwb ("执行完毕","2"),
    zxyc ("执行异常","3"),
    zxcg ("执行成功","4"),
    zxsb ("执行失败","5");
    private final String desc;//描述
    private final String value;//值
    TaskStateEnum(String desc, String value) {
        this.desc = desc;
        this.value = value;
    }

    public String getDesc() {
        return desc;
    }

    public String getValue() {
        return value;
    }
}
